Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

I am on HDP-2.6.0.3 but I need to upgrade Kafka to 1.0. What is the best way for me to do to get to Kafka 1.0? If I upgrade to HDP 2.6.3, kafka component still on 0.10.1.1

Solved Go to solution
Highlighted

I am on HDP-2.6.0.3 but I need to upgrade Kafka to 1.0. What is the best way for me to do to get to Kafka 1.0? If I upgrade to HDP 2.6.3, kafka component still on 0.10.1.1

New Contributor
 
1 ACCEPTED SOLUTION

Accepted Solutions

Re: I am on HDP-2.6.0.3 but I need to upgrade Kafka to 1.0. What is the best way for me to do to get to Kafka 1.0? If I upgrade to HDP 2.6.3, kafka component still on 0.10.1.1

Mentor

@Mark Nguyen

Unfortunately, if you cluster is managed by Ambari you can't independently upgrade the components. It will be a nightmare if you plan to upgrade in future. HDP stack are rigorously tested and certified together as a bundle.

Ambari currently only supports upgrading the entire HDP stack together. However, we are planning patch upgrades might be available in 3.0 which will allow a single component upgrade of the stack.

Hope that answers your question.

4 REPLIES 4

Re: I am on HDP-2.6.0.3 but I need to upgrade Kafka to 1.0. What is the best way for me to do to get to Kafka 1.0? If I upgrade to HDP 2.6.3, kafka component still on 0.10.1.1

Mentor

@Mark Nguyen

Unfortunately, if you cluster is managed by Ambari you can't independently upgrade the components. It will be a nightmare if you plan to upgrade in future. HDP stack are rigorously tested and certified together as a bundle.

Ambari currently only supports upgrading the entire HDP stack together. However, we are planning patch upgrades might be available in 3.0 which will allow a single component upgrade of the stack.

Hope that answers your question.

Re: I am on HDP-2.6.0.3 but I need to upgrade Kafka to 1.0. What is the best way for me to do to get to Kafka 1.0? If I upgrade to HDP 2.6.3, kafka component still on 0.10.1.1

New Contributor

@Geoffrey Shelton Okot,

Do you happen to know when is 3.0 release or patch upgrades?

Re: I am on HDP-2.6.0.3 but I need to upgrade Kafka to 1.0. What is the best way for me to do to get to Kafka 1.0? If I upgrade to HDP 2.6.3, kafka component still on 0.10.1.1

Mentor

@Mark Nguyen

The 3.0.0 GA expected 2017-12-23 but for sure sometimes in 2018

https://cwiki.apache.org/confluence/display/HADOOP/Hadoop+3.0.0+release

Re: I am on HDP-2.6.0.3 but I need to upgrade Kafka to 1.0. What is the best way for me to do to get to Kafka 1.0? If I upgrade to HDP 2.6.3, kafka component still on 0.10.1.1

New Contributor

@Geoffrey Shelton Okot,

Yes, you answer all my question. Thank you very much for helping.

Don't have an account?
Coming from Hortonworks? Activate your account here